Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class AbstractLinkedMap.EntrySetIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
            |
            +--org.apache.commons.collections.map.AbstractLinkedMap.EntrySetIterator

All Implemented Interfaces:
  Iterator, OrderedIterator, ResettableIterator

Direct Known Subclasses:
  AbstractLinkedMap.KeySetIterator

Enclosing class:
  AbstractLinkedMap

protected static class AbstractLinkedMap.EntrySetIterator
extends AbstractLinkedMap.LinkIterator

EntrySet iterator.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
`expectedModCount, last, next, parent`

Constructor Summary
`protected` | `AbstractLinkedMap.EntrySetIterator(AbstractLinkedMap parent)`

Method Summary
`Object` | `next()`
`Object` | `previous()` Gets the previous element from the collection.

Methods inherited from class org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
`currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractLinkedMap.EntrySetIterator

    protected AbstractLinkedMap.EntrySetIterator(AbstractLinkedMap parent)

Method Detail

### next

    public Object next()

### previous

    public Object previous()

  Description copied from interface: `OrderedIterator`
  Gets the previous element from the collection.

  Returns:
    the previous key in the iteration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.